wmgtemp (1.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove unused license definitions for GPL-2+, GPL-2+ with linking exception.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Doug Torrance ]
  * debian/control
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Use https for Source url.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 28 Sep 2021 21:15:28 -0400

wmgtemp (1.2-2) unstable; urgency=low

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.
  * Switch Priority from extra to optional.
  * Bump Standards-Version to 4.3.0.

  [ Andreas Metzler ]
  * B-d on libsensors-dev instead of libsensors4-dev. Closes: #917451
  * [lintian] Use https in watchfile.
  * Use dh v11 compat level, drop explicit b-d on dh-autoreconf.
  * Set Rules-Requires-Root: no.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 28 Dec 2018 13:01:07 +0100

wmgtemp (1.2-1) unstable; urgency=low

  [ Doug Torrance ]
  * New upstream release.
    - Now builds with GCC 7 (Closes: #853707).
  * debian/control
    - Add dh-autoreconf, libdockapp-dev, and pkg-config to Build-Depends.
    - Bump Standards-Version to 3.9.8.
    - Update Homepage and Vcs-Browser.
  * debian/copyright
    - Update Upstream-Contact and Source.
    - Drop file paragraphs for wmgeneral files. These have been removed
      upstream as wmgtemp now uses the wmgeneral included in libdockapp.
  * debian/docs
    - New file; install CREDITS and README.
  * debian/examples
    - New file; install example config file.
  * debian/install
    - New file; install new desktop entry file.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/menu
    - Remove file; Debian menu system is deprecated.
  * debian/rules
    - Use dh_autoreconf and drop old override targets which are no longer
      needed.
    - Use all hardening flags.
    - Append "-Wl,--as-needed" to LDFLAGS to avoid useless dependencies.
  * debian/watch
    - Bump to uscan v4 and update download location.
  * debian/wmgtemp.desktop
    - New desktop entry file.

  [ Andreas Metzler ]
  * Upload to unstable now, since gcc7 bugs have become rc. Add myself to
    uploaders.
  * Bump Standards-Version to 4.0.0, no further changes.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Aug 2017 13:32:44 +0200

wmgtemp (1.1-3) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/{copyright,patches}
    - Update email address.
  * debian/patches/build_with_gcc5.patch
    - New patch; fixes FTBFS using gcc5. Thanks to Chris Lamb
      <lamby@debian.org> (Closes: #797540).

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 31 Aug 2015 22:11:35 -0400

wmgtemp (1.1-2) unstable; urgency=medium

  * New maintainer (Closes: #779470).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >=9.
    - Bump Standards-Version to 3.9.6.
    - Update Homepage.
    - Add Vcs-*.
  * debian/copyright
    - Remove trailing whitespace.
    - Add myself to Copyright field for debian/*.
    - Update header paragraph.
    - Slight reformatting.
    - Add entries for wmgeneral source files.
  * debian/patches/000_fix_hypens_in_wmtemp.1.diff
    - Rename to fix_hyphens_in_wmgtemp.1.patch, update header to DEP3,
      and refresh.
  * debian/patches/001_sensors.conf.diff
    - Rename to sensors.conf.patch, update header to DEP3, and refresh.
  * debian/patches/fix_-Waggressive-loop-optimizations.patch
    - Fix compiler warning.
  * debian/patches/update_makefile.patch
    - Update install targets to use DESTDIR variable and create binary
      installation directory.
    - Honor *FLAGS variables during build.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_install target to set installation directories.
    - Add override_dh_auto_build target to use CFLAGS and LDFLAGS from
      dpkg-buildflags.
  * debian/watch
    - Update with new location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 11 Jul 2015 10:36:29 -0600

wmgtemp (1.1-1) unstable; urgency=low

  * QA upload.
  * New upstream version, using libsensors4 instead of libsensors3.
  * Remove obsolete parts of descriptions about i2c-source.
  * Fix debian/watch to also look for .tar.gz files (Closes: #596101).
  * Remove 000_fix_on_src_wmtemp.c.diff (fixed upstream).
  * Add 001_use_sensors3.conf.diff to use /etc/sensors3.conf instead of
    /etc/sensors.conf.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 07 Feb 2011 19:22:37 +0100

wmgtemp (0.8-1) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/watch
    - Add.
  * New upstream release (Closes: #454492, #465335).
  * debian/control
    - Update debhelper to >=7.
    - Set Maintainer field to Debian QA Group.
    - Add ${misc:Depends} to avoid lintian W: debhelper-but-no-misc-depends.
    - Bump Standards-Version to 3.8.4.
    - Add 'Homepage' field.
    - Priority downgrade to 'extra' because depends on 'lm-sensors' which is
      extra. Filed bug to ftp.debian.org #568356.
  * debian/rules
    - Remove export DH_COMPAT.
    - s/dh_clean -k/dh_prep/ to avoid lintian W: dh-clean-k-is-deprecated.
  * Change menu section from 'Apps/System' to 'Applications/System/Monitoring'
    to get rid of lintian W: menu-item-uses-apps-section.
  * debian/copyright
    - Migrate to DEP-5 format.
  * debian/patches
    - 000_fix_on_src_wmtemp.c.diff: Add missing '('.
    - 000_fix_hypens_in_wmtemp.1.diff: Fix hyphen in manpage.

 -- Dario Minnucci <midget@debian.org>  Thu, 04 Feb 2010 08:32:12 +0100

wmgtemp (0.7-1) unstable; urgency=low

  * New upstream version.
    - Obsolete the patch that was added to fix #185512, since a run-time
      option for swapping temperatures now exists.
    - Obsolete the patch that fixed a multi-line string in printf.
    - Obsolete/update the patch for the manual page to avoid listing
      chipsets and instead point to lm_sensors manuals, and fix typos.
  * Clean up the packaging a bit.

 -- Josip Rodin <joy-packages@debian.org>  Mon, 11 Sep 2006 02:14:31 +0200

wmgtemp (0.6-5) unstable; urgency=low

  * New maintainer (Closes: #349201).

 -- Josip Rodin <joy-packages@debian.org>  Mon, 11 Sep 2006 02:05:33 +0200

wmgtemp (0.6-4) unstable; urgency=low

  * Orphan the package.

 -- Lenart Janos <ocsi@debian.org>  Sat, 21 Jan 2006 15:17:34 +0100

wmgtemp (0.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package (Closes: #347099).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 15:01:38 +0100

wmgtemp (0.6-3) unstable; urgency=high

  * Link to libsensors3 (Closes: #237348).
  * Change Arch: to "any" to allow the package to be built on all
    supported architectures in Debian (Closes: #238252).

 -- Lenart Janos <ocsi@debian.org>  Sun, 21 Mar 2004 12:57:14 +0100

wmgtemp (0.6-2) unstable; urgency=medium

  * Move lm-sensors to Depends: in order to be sure /etc/sensors.conf
    exists (Closes: #201762).
  * Rebuild should have fixed the wacky Depends: on libsensors-1debian1
    (Closes: #211081).
  * Many thanks to Joy for his great work on wmgtemp while I am away.
    (Closes: #191538, #197022, #185512, #185513, #185514).

 -- Lenart Janos <ocsi@debian.org>  Fri, 26 Dec 2003 12:05:27 +0100

wmgtemp (0.6-1.2) unstable; urgency=high

  * Non-maintainer upload, to recompile against proper libsensors-dev
    and eliminate obsoleted libsensors1 dependency (Closes: #197022).

 -- Josip Rodin <joy-packages@debian.org>  Fri, 27 Jun 2003 19:00:47 +0200

wmgtemp (0.6-1.1) unstable; urgency=low

  * Non-maintainer upload, approved by the maintainer.
  * Recompile against the new libsensors-dev, plus a little patch
    to remove a multi-line string in printf which doesn't work with
    new GCC (Closes: #191538).
  * Update upstream URL (Closes: #185514).
  * Remove the duplication in the manual page and (after cross-checking)
    merge it into the upstream file (Closes: #185513).
  * Remove mention of chips from the description since that code was
    removed, it's now generic.
  * Use temp1 for system and temp2 for processor temperature with via686a,
    like the old version did (Closes: #185512).
    I've got an Abit KG7, the author has Abit KT7 -- these two boards should
    have the same south bridge (VIA 686B), so if the settings really differ,
    then the whole idea of guessing which sensor is which seems rather
    pointless :(

 -- Josip Rodin <joy-packages@debian.org>  Tue, 10 Jun 2003 14:46:15 +0200

wmgtemp (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #169498).

 -- Lenart Janos <ocsi@debian.org>  Tue, 11 Mar 2003 21:36:57 +0100

wmgtemp (0.5-4) unstable; urgency=low

  * Fix typo in the description (Closes: #125492).
  * Upgrade Standards-Version.

 -- Lenart Janos <ocsi@debian.org>  Sat, 22 Dec 2001 16:25:10 +0100

wmgtemp (0.5-3) unstable; urgency=low

  * Add Build-Depends: xlibs-dev (Closes: #123153).

 -- Lenart Janos <ocsi@debian.org>  Mon, 10 Dec 2001 22:08:12 +0100

wmgtemp (0.5-2) unstable; urgency=low

  * Fix menu by Josip Rodin <joy@debian.org> (Closes: #119945).
  * Remove Emacs cruft from this changelog.

 -- Lenart Janos <ocsi@debian.org>  Sat, 17 Nov 2001 13:04:58 +0100

wmgtemp (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Lenart Janos <ocsi@debian.org>  Tue, 12 Jun 2001 21:08:31 +0200

wmgtemp (0.4-1) unstable; urgency=low

  * New upstream release.
  * Add suggestion against i2c-source.
  * Add example.
  * Change description.

 -- Lenart Janos <ocsi@debian.org>  Tue, 17 Apr 2001 21:17:39 +0200

wmgtemp (0.3-3) unstable; urgency=low

  * Upgrade Standards-Version.
  * Convert to use debhelper v3.

 -- Lenart Janos <ocsi@debian.org>  Sat, 31 Mar 2001 18:45:23 +0200

wmgtemp (0.3-2) unstable; urgency=low

  * Add manpage, currently in the diff only (Closes: #88697).
  * Remove dh_testversion from debian/rules.

 -- Lenart Janos <ocsi@debian.org>  Wed, 28 Mar 2001 21:11:00 +0200

wmgtemp (0.3-1) unstable; urgency=low

  * New upstream release.
  * Remove Makefile patch from diff since it's now included upstream.

 -- Lenart Janos <ocsi@debian.org>  Tue,  6 Mar 2001 05:54:28 +0100

wmgtemp (0.1-1.1) unstable; urgency=medium

  * Move wmgtemp binary from /usr/X11R6/bin to /usr/bin.

 -- Lenart Janos <ocsi@debian.org>  Sat, 24 Feb 2001 17:28:02 +0100

wmgtemp (0.1-1) unstable; urgency=low

  * Initial release (Closes: #87146).

 -- Lenart Janos <ocsi@debian.org>  Fri, 23 Feb 2001 00:29:54 +0100
